com.sun.grid.jgdi.event

## Class AddEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ChangedObjectEvent
    - - com.sun.grid.jgdi.event.AddEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AdminHostAddEvent, AdvanceReservationAddEvent, CalendarAddEvent, CheckpointAddEvent, ClusterQueueAddEvent, ComplexEntryAddEvent, ConfigurationAddEvent, ExecHostAddEvent, HostgroupAddEvent, JobAddEvent, JobSchedulingInfoAddEvent, JobTaskAddEvent, ManagerAddEvent, OperatorAddEvent, ParallelEnvironmentAddEvent, PETaskAddEvent, ProjectAddEvent, QueueInstanceAddEvent, ResourceQuotaSetAddEvent, SchedConfAddEvent, ShareTreeAddEvent, SubmitHostAddEvent, UserAddEvent, UserSetAddEvent

      public abstract class AddEvent
      extends ChangedObjectEvent
      implements java.io.Serializable

  Base class for all add events.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddEvent(long timestamp, int eventId, java.lang.Class objectType)` Creates a new instance of AddEvent

  - ### Method Summary

    - ### Methods inherited from class com.sun.grid.jgdi.event.ChangedObjectEvent

      `getChangedObject, getObjectType, setChangedObject, setPKInfo, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AddEvent

          public AddEvent(long timestamp,
                          int eventId,
                          java.lang.Class objectType)

      Creates a new instance of AddEvent
      Parameters:
        `timestamp` - timestamp when the event occurs
        `eventId` - id of the event
        `objectType` - type of the added object

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.